#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libcap2 installation
#
# Creation   :  2017-12-16 holbru
# Last update:  $Id: postinstall-libcap2.sh 47921 2017-12-16 19:48:57Z hbfl $
#
# Copyright (c) 2017-2017 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libcap2

# ---------------------------------------------------------------------------
# update-2.8.1
# ---------------------------------------------------------------------------
update_2_8_1()
{

installed=$(eisman query --installed --unstable --fields='version' libcap-progs | grep '2.8.0')

if [ -z "${installed}" ]
then
    rm -f /usr/sbin/capsh
    rm -f /usr/sbin/getcap
    rm -f /usr/sbin/getpcaps
    rm -f /usr/sbin/setcap
    rm -f /sbin/capsh
    rm -f /sbin/getcap
    rm -f /sbin/getpcaps
    rm -f /sbin/setcap
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
